clear all
close all
load islaidos.txt
indeksas=(5+7)/8;
islaidos(:,2)=islaidos(:,2)*indeksas;
islaidos(3,2)=islaidos(3,2)+5;
%grafikas
plot(islaidos(:,1),islaidos(:,2),'rO'),grid
title('Ipakavimo islaidos')
xlabel('Gaminiu kiekis'),ylabel('Vnt.ipakavimo islaidos')
%b)iejimo,isejimo kintamuju vidurkiai
xv=mean(islaidos(:,1));
yv=mean(islaidos(:,2));
xyv=mean(islaidos(:,1).*islaidos(:,2));
sprintf('%g', xyv)
% Kintamuju dispersijos
sigma2x=cov(islaidos(:,1));sigma2y=cov(islaidos(:,2));
sigmax=sigma2x^0.5% istraukta saknis skaitosi
sigmay=sigma2y^0.5
% c)Suskaiciuojame koreliacijos koeficienta r
r=(xyv-xv*yv)/(sigmax*sigmay)
% Suskaiciuojame r vidutini kvadratini nukrypima
% d)Tam pradzioje nustatome eksperimentu skaiciu
[n,m]=size(islaidos);
sigmar=(1-r^2)^0.5/(n-2)^0.5;
% Suskaiciuojame koreliacijos koeficiento reiksminguma
r_reiksmingumas=abs(r)/sigmar
laisveslaipsniai=n-m-1
% rysis tarp x ir y yra tiesinis rysis
% e)Apskaiciuojame lygties y=a+bx parametrus a ir b
b=sigmay/sigmax*r
a=yv-b*xv
% Patikriname koeficiento b reiksminguma (Stjudento kriterijus)
%f) tam randame koeficiento b vidutine kvadratine nuokrypa
sigmab=sigmay/sigmax*(1-r^2)^0.5/(n^0.5)
b_reiksmingumas=abs(b)/sigmab
% g)Apskaiciuojame determinacijos koeficienta
D=r^2*100
% Apskaiciuojame regresijos modelio reiksmes eksperimento taskuose
islaidos_m=a+b*islaidos(:,1);
% Nubreziame regresijos modelio ir eksperimento reiksmes
figure(2)
subplot(2,1,1), plot(islaidos(:,1),islaidos(:,2),'ro',...
   islaidos(:,1),islaidos_m,'b-'),grid
xlabel('Gaminiu kiekis'),ylabel('vnt.ipakavimo islaidos')
% Apskaiciuojame modeliavimo paklaida
paklaida=islaidos(:,2)-islaidos_m;
% Nubreziame paklaidos grafika
subplot(2,1,2), plot(islaidos(:,1),paklaida,'r-*'),grid
xlabel('Gaminiu kiekis'),ylabel('Modelio paklaida')
figure(3)
hist(paklaida),grid

kaina=a+b*8250%kaina gaminant 8300vnt





